Subject: [newtrk] Re: I-D ACTION:draft-savola-ipr-lastcall-04.txt (fwd)

From: John C Klensin <[email-masked]>
Date: Sat, 23 Oct 2004 12:09:01 -0400

Pekka,

I'm copying newtrk on this because the last substantive sentence
of your abstract implies a profound change to the standards
process.  In particular, as I read it, for existing documents,
it implies a review process that is far more burdensome than
that contemplated for "cruft" -- someone needs to go through the
RFC file, identify "IETF documents" separately from individual
submissions, and then subject every document of the former
category to a new Last Call and IESG reevaluation process if
there is the slightest hint of a  IPR claim.  I think that would
place virtually all of our basic protocols back on the table, as
well as causing complete IESG paralysis as we abruptly added
hundreds of documents to the Last Call and processing queues.

This, or some small variation on it, actually impresses me as a
great idea going forward.  However, I suggest that you need to
either drop the notion of applying the procedure to documents
already approved or that you reissue the I-D with some specifics
about how older documents might be identified and reviewed
without bringing the entire IETF to a screeching halt.

     john

--On Saturday, 23 October, 2004 07:59 +0300 Pekka Savola
<[email-masked]> wrote:

> FYI --
> 
> There was a mention of this in the IETF list, so I decided to
> resurrect this draft.  This might end up as a July14
> experiment after IETF61. If you have opinions about this, I
> guess you should speak up.
> 
> ---------- Forwarded message ----------
>...
 
> 	Title		: Mentioning Intellectual Property Rights
> Considerations in Last Calls 	Author(s)	: P. Savola
> 	Filename	: draft-savola-ipr-lastcall-04.txt
> 	Pages		: 9
> 	Date		: 2004-10-22
> 	
> This memo describes an additional policy with last calls
> regarding Intellectual Property Rights (IPR) disclosures or
> other knowledge of IPR.  The existence and the pointer to the
> IPR disclosures or an indication of non-existence of knowledge
> of such disclosures must be mentioned in all IETF last calls
> and should be mentioned in working group last calls.
> Additionally, all documents under the IETF change control for
> which a last call prior to the approval was not required and
> IPR disclosures are known, must now be either last-called or
> rejected.  This memo updates RFC 2026 and RFC 2418.
>...

.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html

---

From: Pekka Savola <[email-masked]>
Date: Sat, 23 Oct 2004 20:45:58 +0300 (EEST)

Hi,

> without bringing the entire IETF to a screeching halt.

Sorry for writing unclearly.  The sentence you refer to:

  rejected.

.. can indeed be read two ways:

 1) 'we must go through all the existing IETF change control RFCs
which weren't IETF last called, and do [a lot work]'

 2) 'from now on, if a new informational/experimental RFC is brought
forward which would not be IETF last called under the current policy,
it must be last called to bring forth the IPR for community review'.

I was referring to the latter; i.e., info/experimental WG documents 
which have IPR concerns should, from now on, be IETF last called.

So I assume you won't have a fundamental problem with that approach.

I may revise the draft once more to make this clearer, especially if I
hear other input, or leave it as is for now; we'll see.

(If you have a good rewording suggestion, I'm all ears, to make sure
it'll be unambiguous this time.)

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

.

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 25 Oct 2004 10:15:24 +0200

> it must be last called to bring forth the IPR for community review'.

I think this translates to "all documents that are not RFC-Editor 
submissions, and where IPR is filed, must be Last-Called".

I think that's a reasonable thing to do, but it IS a new requirement (and 
will in some cases slow down the publication process by 2-4 weeks).

                  Harald

.